# This file created by conda-build 3.26.1
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_d2jas3a0j9/clone/recipe, last modified Wed Oct 11 08:18:53 2023
# ------------------------------------------------

package:
  name: meson
  version: 1.2.1
source:
  patches:
    - 0001-Only-fix-RPATH-if-install_rpath-is-not-empty.patch
  sha256: b1db3a153087549497ee52b1c938d2134e0338214fe14f7efd16fecd57b639f5
  url: https://pypi.io/packages/source/m/meson/meson-1.2.1.tar.gz
build:
  entry_points:
    - meson = mesonbuild.mesonmain:main
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_d2jas3a0j9/croot/meson_1697030340757/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py39hca03da5_0
requirements:
  build:
    - patch 2.7.6 h1a28f6b_1001
  host:
    - ca-certificates 2023.08.22 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.11 h1a28f6b_2
    - pip 23.2.1 py39hca03da5_0
    - python 3.9.18 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.0.0 py39hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py39hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - ninja >=1.8.2
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - meson -h
    - meson -v
    - meson --internal delsuffix . nomatchqqq
  imports:
    - mesonbuild
  requires:
    - pip
about:
  description: 'Meson is an open source build system meant to be both extremely fast,
    and, even more importantly, as user friendly as possible.

    The main design point of Meson is that every moment a developer spends writing
    or debugging build definitions is a second wasted.

    So is every second spent waiting for the build system to actually start compiling
    code.

    '
  dev_url: https://github.com/mesonbuild/meson
  doc_url: https://mesonbuild.com
  home: https://mesonbuild.com
  license: Apache-2.0
  license_family: Apache
  license_file: COPYING
  summary: The Meson Build System
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: d2fa0f43-1a31-4f76-b60d-c6b293528641
  recipe-maintainers:
    - SoapZA
    - dirmeier
    - h-vetinari
    - pkgw
    - rgommers
    - tschoonj
    - wolfv
  remote_url: git@github.com:AnacondaRecipes/meson-feedstock.git
  sha: 88cf9cd40ae8d947afa80868b852d0597463d95b
  skip-lints:
    - build_tools_must_be_in_build
    - missing_imports_or_run_test_py
    - python_build_tool_in_run
